@echo off
@set MEGUITOOLS=D:\bin\megui\tools
@set X264=%MEGUITOOLS%\x264\x264.exe
@set FFMPEG=D:\bin\ffmpeg\ffmpeg.exe
@set MKVMERGE=%MEGUITOOLS%\mkvmerge\mkvmerge.exe
@set MATRIX=D:\bin\avisynth\Matrix\narup-LightQuality-rev021R_Matrix.cfg

__ENCFUNC__
@pause
@goto :EOF

:ENCFUNC
@echo %time% start >> time.txt
@%X264% --preset slow --tune animation --crf 19 --bframes 8 --trellis 2 --cqmfile "%MATRIX%" --colormatrix bt709 --ssim --output %1.264 %1
@%FFMPEG% -y -i %2 -vn -acodec libfaac -ab 192k -ar 48000 -f adts %2.aac
@%MKVMERGE% -o %3 --language 0:jpn -a 0 %2.aac --aspect-ratio 0:16/9 --default-duration 0:24000/1001fps -d 0 %1.264 --track-order 1:0,0:0
@echo %time% end >> time.txt

@goto :EOF
